package com.wdkl.ncs.android.middleware.model.dos;

import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import com.fasterxml.jackson.databind.annotation.JsonNaming;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.wdkl.ncs.android.middleware.model.annotation.Column;
import com.wdkl.ncs.android.middleware.model.annotation.Id;
import com.wdkl.ncs.android.middleware.model.annotation.PrimaryKeyField;
import com.wdkl.ncs.android.middleware.model.annotation.Table;

import java.io.Serializable;

@Table(name = "ncs_clerk")
@ApiModel
@JsonNaming(value = PropertyNamingStrategy.SnakeCaseStrategy.class)
public class ClerkDO implements Serializable {

    /**
     * 人员id
     */
    @Column(name = "clerk_id")
    @ApiModelProperty(value = "人员id", required = false)
    private Integer clerkId;
    /**
     * 会员id
     */
    @Column(name = "member_id")
    @ApiModelProperty(value = "会员id", required = false)
    private Integer memberId;
    /**
     * 人员名称
     */
    @Column(name = "clerk_name")
    @ApiModelProperty(value = "人员名称", required = false)
    private String clerkName;
    /**
     * 是否为超级管理员，1为超级管理员 0为其他管理员
     */
    @Column(name = "founder")
    @ApiModelProperty(value = "是否为超级管理员，1为超级管理员 0为其他管理员", required = false)
    private Integer founder;
    /**
     * 权限id，可以确定为医生、护士、护工，主任医生、护士长
     */
    @Column(name = "role_id")
    @ApiModelProperty(value = "权限id，可以确定为医生、护士、护工，主任医生、护士长", required = false)
    private Integer roleId;
    /**
     * 店员状态，0为禁用，1为正常
     */
    @Column(name = "user_state")
    @ApiModelProperty(value = "店员状态，0为禁用，1为正常", required = false)
    private Integer userState;
    /**
     * 创建日期
     */
    @Column(name = "create_time")
    @ApiModelProperty(value = "创建日期", required = false)
    private Long createTime;
    /**
     * 科室id
     */
    @Column(name = "shop_id")
    @ApiModelProperty(value = "科室id", required = false)
    private Integer shopId;
    /**
     * null
     */
    @Column(name = "union_id")
    @ApiModelProperty(value = "null", required = false)
    private String unionId;
    /**
     * null
     */
    @Column(name = "update_time")
    @ApiModelProperty(value = "null", required = false)
    private Long updateTime;
    /**
     * null
     */
    @Column(name = "sync_time")
    @ApiModelProperty(value = "null", required = false)
    private Long syncTime;
    /**
     * null
     */
    @Column(name = "his_keyval")
    @ApiModelProperty(value = "null", required = false)
    private String hisKeyval;
    /**
     * null
     */
    @Column(name = "his_part_keyval")
    @ApiModelProperty(value = "null", required = false)
    private String hisPartKeyval;


    @PrimaryKeyField
    public Integer getClerkId() {
        return clerkId;
    }

    public void setClerkId(Integer clerkId) {
        this.clerkId = clerkId;
    }


    public Integer getMemberId() {
        return memberId;
    }

    public void setMemberId(Integer memberId) {
        this.memberId = memberId;
    }


    public String getClerkName() {
        return clerkName;
    }

    public void setClerkName(String clerkName) {
        this.clerkName = clerkName;
    }


    public Integer getFounder() {
        return founder;
    }

    public void setFounder(Integer founder) {
        this.founder = founder;
    }


    public Integer getRoleId() {
        return roleId;
    }

    public void setRoleId(Integer roleId) {
        this.roleId = roleId;
    }


    public Integer getUserState() {
        return userState;
    }

    public void setUserState(Integer userState) {
        this.userState = userState;
    }


    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }


    public Integer getShopId() {
        return shopId;
    }

    public void setShopId(Integer shopId) {
        this.shopId = shopId;
    }


    public String getUnionId() {
        return unionId;
    }

    public void setUnionId(String unionId) {
        this.unionId = unionId;
    }


    public Long getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Long updateTime) {
        this.updateTime = updateTime;
    }


    public Long getSyncTime() {
        return syncTime;
    }

    public void setSyncTime(Long syncTime) {
        this.syncTime = syncTime;
    }


    public String getHisKeyval() {
        return hisKeyval;
    }

    public void setHisKeyval(String hisKeyval) {
        this.hisKeyval = hisKeyval;
    }


    public String getHisPartKeyval() {
        return hisPartKeyval;
    }

    public void setHisPartKeyval(String hisPartKeyval) {
        this.hisPartKeyval = hisPartKeyval;
    }

}
